Figure - 0 O Dev #111900
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev# 110125 (New): 0 MKO OBSPO 0 0 0 O
0 O Dev#110654 (O O O In Progress): 0 MKO 0 0050 0 LCDO 0 0 O
0 MK 00050 O LCDO O TC-RID: 1201-010050100 O O O O Feature
2022-09-13 12:58 - CD BSP-[1 [J

Status: 0 O Closed Start date: 2022-10-08

Priority: Normal Due date: 2022-10-22

Assignee: CDBSP-U O % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

Subtasks:

00 Dev#112367: [0 0000000000000 0O0OO-1000 00O O 10-1000cd 00 Closed
History

#1 - 2022-09-1413:11 - CD BSP-0 O

oooooooo
VXL

1-160

VCL:

0-10001

#2 - 2022-09-19 15:49 - CD BSP-00 O

gooooooooooboo

VX1 PATCH:
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/150819

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/opensource/display-drivers/+/150821/

https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/gcom/proprietary/+/150825

VB:
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure turbox-c2130c-lal.1-gssil2-dev/20220923/202209230020-1415/FlatBuild VX1 MCE_xx.xx_FSE.V.userdeb
ug.0.0.0.20220923.alpha.zip

#3 - 2022-09-23 17:45 - CD BSP-00 O

- Status changed from New to O O O In Progress

- Assignee setto CDTS_TEST O O

#4 - 2022-10-27 21:45- CDBSP-O0 O O

MCE_VX1OODOOOOOo

MclOOOoOOooooooo

#5-2022-11-02 23:13 - CD BSP-0 O

vciooooooo
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/150819
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/opensource/display-drivers/+/150821/
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/150825
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220923/202209230020-1415/FlatBuild_VX1_MCE_xx.xx_FSE.V.userdebug.0.0.0.20220923.alpha.zip
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220923/202209230020-1415/FlatBuild_VX1_MCE_xx.xx_FSE.V.userdebug.0.0.0.20220923.alpha.zip

VC1PATCH:

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/159775

https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/gcom/proprietary/+/159776

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/opensource/display-drivers/+/159777

#6 - 2022-11-02 23:14 - CDBSP-0 O
- Assignee changed from CDTS_TEST O O to CD BSP-00 O

#7 - 2022-11-03 10:59 - CD BSP-0J O

- Category set to BSP

- Status changed from O O O In Progress to (1 (1 Resolved
- Assignee changed from CD BSP-00 (0 to CDTS_TEST O O
- % Done changed from 0 to 70

g0oo0ooooobn4oooooooooveioooo
gookKoOoOOoOoOOoOooooooooooo

#8 - 2022-11-03 15:29 - CD BSP-0 O

gooooooooooboooon

/sys/bus/i2c/devices/0-0040/max96755g/brightness_level

gooobooDio
adb shell "echo 1 > /sys/bus/i2c/devices/0-0040/max96755g/brightness_level"

gooooooo
adb shell "cat /sys/bus/i2c/devices/0-0040/max96755g/brightness_level"

#9-2022-11-0417:26 - CDTS_TEST O O
- Assignee changed from CDTS_TEST O O to CD BSP-0O O
- % Done changed from 70 to 80

0 HWO EVT2-VC10O vVCld

0 SwO FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211040244
oooo

1.0 O wifi ADB

2000000

gooobooDio

adb shell "echo 1 > /sys/bus/i2c/devices/0-0040/max96755g/brightness_level"
gooooooo

adb shell "cat /sys/bus/i2c/devices/0-0040/max96755g/brightness_level"
3vO0oooo

00000000

adb shell "echo 100 > /sys/bus/i2c/devices/0-0040/max96755g/brightness_level"
oooooooo

adb shell “cat /sys/bus/i2c/devices/0-0040/max96755g/brightness_level"
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/159775
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/159776
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/opensource/display-drivers/+/159777
oooogoo
3.00000100
sA000o0ooobooooobooooooboooboooon
00000 ooboooooooooooo

#10 - 2022-11-08 16:39 - CD BSP-01 O

vVC1O0 00000 0ORSEinput

#11 - 2022-12-22 11:47 - CD BSP-00 O

- Status changed from O O Resolved to O O Closed

#12 - 2022-12-22 20:36 - CD FW-0 O

Gerrit Merge Information(

1D Project

Branch

Uploader

150819 general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

1f7a62d502ca6c71cece910e18b95b9db8ch83ee5

BSP:LCD: MCE Support backlight control(1/3)Disable driver settings backlight TC-RID: 1201-0100501IssuelD: TS-R-DF-111900Change-1d:

#13 - 2022-12-22 20:36 - CD FwW- O
Gerrit Merge Information(]

1D Project

Branch

Uploader

display-drivers

150821 general/platform/vendor/opensource/

Pre_figure_turbox-c2130c-lal.1-vendo
r-dev

xiao.yu@thundersoft.com

1f38c5edb9fdf2f4bf417584888cc37edfe92bct2

BSP:LCD: MCE Support backlight control(2/3)Add new type DSI_BACKLIGHT_I2CTC-RID: 1201-0100501IssuelD: TS-R-DF-111900Change-1d:

#14 - 2022-12-22 20:36 - CD FwW-0O O

Gerrit Merge Information]

1D Project Branch Uploader
150825 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
m/proprietary r-dev

1618fe7ee208eh37e3134cdfb05ce260ff815eaf5

BSP:LCD: MCE Support backlight control(3/3)Change backlight type to bl_ctrl_i2cTC-RID: 1201-0100501IssuelD: TS-R-DF-111900Change-Id:
#15 - 2022-12-22 20:49 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
159775 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
r-dev

BSP:LCD: FCE Support backlight control(1/3)Support driver settings backlight from i2cTC-RID: 1201-0100501Issuel D: TS-R-DF-111900Change-1d:
137d413453035f9cb0b6dd16d19cf902262bc93a5

#16 - 2022-12-22 20:49 - CD FW-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
159776 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
m/proprietary r-dev

BSP:LCD: FCE Support backlight control(3/3)Change backlight type to bl_ctrl_i2cTC-RID: 1201-0100501IssuelD: TS-R-DF-111900Change-Id:
140bb2h91f1b28237f6db8b3a8e9bc082429f09c6

#17 - 2022-12-22 20:49 - CD Fw-0O O

Gerrit Merge Information(

1D Project Branch Uploader
159777 general/platform/vendor/opensource/ | Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
display-drivers r-dev

BSP:LCD: FCE Support backlight control(2/3)1.Adapt type DSI_BACKLIGHT_12C2.Mapping backlight rangeTC-RID: 1201-0100501IssuelD:
TS-R-DF-111900Change-Id: 1943828914da503031a5413c3e95achb86cad5bc9

#18 - 2022-12-22 20:49 - CD FwW-0O O

Gerrit Merge Information]

1D Project Branch Uploader
159938 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
r-dev

BSP:LCD: Support backlight test and debugAdd brightness_level node to control and show backlightTC-RID: 1201-0100501IssuelD: TS-R-DF-111900Change-Id:
1fc2a7dd9810d2eba95e1c38d6cce085e51668bf6
